Skip to main content
GET
/
funcionario
Obter funcionários
curl --request GET \
  --url https://api-vendas.taximachine.com.br/api/integracao/funcionario \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'api-key: <api-key>'
{
  "success": true,
  "response": [
    {
      "nome": "João Pedro",
      "email": "jaopedro@exemplo.com",
      "centro_custo_id": "1",
      "centro_custo_nome": "Administrativo",
      "empresa_id": "1",
      "empresa_nome": "EcoCups",
      "limite_mensal": "400.00",
      "saldo": "0.00"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

api-key
string
header
required

Obrigatório. Sua chave API.

Query Parameters

empresa_id
integer

Obrigatório caso não seja informado o centro_custo_id ou caso o usuário autenticado seja da central.

centro_custo_id
integer

ID do centro de custo.

limite
integer
default:20

default 20, max 100

Required range: x <= 100
pagina
integer
default:1

default 1

Response

200 - application/json

Sucesso